What's changes between ocssw V2022.1 and V2022.2?

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
oo_processing
Posts: 269
Joined: Wed Apr 06, 2005 12:11 pm America/New_York
Answers: 0

What's changes between ocssw V2022.1 and V2022.2?

by oo_processing » Tue Nov 29, 2022 6:22 pm America/New_York

Dear Support,

I'm confused because I just installed the V2022.1 less than one week ago. Shall I remove V2022.1 then install V2022.2? We're using ocssw for processing modis, viirs, and olci ocean data.

Thanks,
Yuyuan

Tags:

OB SeaDAS - xuanyang02
Subject Matter Expert
Subject Matter Expert
Posts: 439
Joined: Tue Feb 09, 2021 5:42 pm America/New_York
Answers: 1
Been thanked: 1 time

Re: What's changes between ocssw V2022.1 and V2022.2?

by OB SeaDAS - xuanyang02 » Tue Nov 29, 2022 7:30 pm America/New_York

Yes, please update OCSSW to V2022.2.

V2022.1 introduced a bug that obpg_file_type does not recognize OLCI/MERIS/MSI L1B files. V2022.2 fixed it.

OB SeaDAS - dshea
Subject Matter Expert
Subject Matter Expert
Posts: 248
Joined: Thu Mar 05, 2009 10:25 am America/New_York
Answers: 0

Re: What's changes between ocssw V2022.1 and V2022.2?

by OB SeaDAS - dshea » Thu Dec 01, 2022 4:11 pm America/New_York

There was also a change made to process VIIRS J2 files properly:

- fixed tel_start_enc_nominal for VIIRS J2
- fixed missing sgli areosol default LUT

don

oo_processing
Posts: 269
Joined: Wed Apr 06, 2005 12:11 pm America/New_York
Answers: 0

Re: What's changes between ocssw V2022.1 and V2022.2?

by oo_processing » Tue Dec 06, 2022 12:35 pm America/New_York

I just saw V2022.3, another new tag.
$ ./install_ocssw --status --tag V2022.3
installedTag = V2022.2
root (R2022.19..V2022.3)
bin_linux_64 (V2022.2..V2022.3)
lib_linux_64 (V2022.2..V2022.3)
opt_linux_64 (V2022.3)
Deleted Files:
opt/lib/libquadmath.so.0
opt/lib/libquadmath.so.0.0.0

afrt (R2022.0..V2022.3)
aquaverse (T2022.5..V2022.3)
avhrr (V2022.1..V2022.3)
aviris (R2022.6..V2022.3)
common (V2022.1..V2022.3)
......

I guess adding those two library files were the only content in this update? Is the specific version of libquadmath required? If not, I already have libquadmath.so.0 and libquadmath.so.0.0.0 under /usr/lib.

-Yuyuan

Post Reply